[arch-commits] CVS update of core/lib/libelf (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Dec 19 18:19:14 EST 2007


    Date: Wednesday, December 19, 2007 @ 18:19:14
  Author: jgc
    Path: /home/cvs-core/core/lib/libelf

Modified: PKGBUILD (1.7 -> 1.8)

upgpkg: libelf 0.8.10-3.1
Build with !makeflags, fix maintainer tag


----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)


Index: core/lib/libelf/PKGBUILD
diff -u core/lib/libelf/PKGBUILD:1.7 core/lib/libelf/PKGBUILD:1.8
--- core/lib/libelf/PKGBUILD:1.7	Thu Nov 15 18:53:17 2007
+++ core/lib/libelf/PKGBUILD	Wed Dec 19 18:19:13 2007
@@ -1,21 +1,23 @@
-# $Id: PKGBUILD,v 1.7 2007/11/15 23:53:17 daniel Exp $
-# Maintainer: arjan <arjan at archlinux.org>
+# $Id: PKGBUILD,v 1.8 2007/12/19 23:19:13 jgc Exp $
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=libelf
 pkgver=0.8.10
-pkgrel=3
+pkgrel=3.1
 pkgdesc="libelf is a free ELF object file access library"
 arch=(i686 x86_64)
 license=('GPL')
 source=(http://www.mr511.de/software/$pkgname-$pkgver.tar.gz)
 url="http://directory.fsf.org/libs/misc/libelf.html"
 depends=('glibc')
+options=(!makeflags)
 md5sums=('9db4d36c283d9790d8fa7df1f4d7b4d9')
 
 build() {
     cd $startdir/src/$pkgname-$pkgver
-    ./configure --prefix=/usr --enable-shared --enable-gnu-names
+    ./configure --prefix=/usr --enable-shared --enable-gnu-names || return 1
     make || return 1
-    make prefix=$startdir/pkg/usr install
+    make prefix=$startdir/pkg/usr install || return 1
 }




More information about the arch-commits mailing list